Subject: Re: git push default behaviour?

From: Jakub Narebski <[email-masked]>
Date: Fri, 09 Mar 2012 06:56:34 -0800 (PST)

[I am sorry if you have received duplicates]

Junio C Hamano <[email-masked]> writes:
> Matthieu Moy <[email-masked]> writes:
>> Junio C Hamano <[email-masked]> writes:
>>
>>> I just dug it up; start from here:
>>>
>>>     http://thread.gmane.org/gmane.comp.version-control.git/123350/focus=123541
>>
>> That's an old discussion. A more recent one is here:
>>
>>   http://thread.gmane.org/gmane.comp.version-control.git/166743
>>
>> (interleaved with a discussion about tag namespace, but the end of the
>> message is about push.default)
> 
> I'd say that it only shows that everybody for some strange reason
> forgot to learn from history, including me, in that more recent
> thread. Luckily, Jeff noticed eerily familiarity this time around.

Nb. if I remember it correctly one of problems seen with transition to
new default was that there were no command-line equivalent to
'push.default = matching'... but now we have ":" and "+:" magic
refspec.

>> (i.e. "Care to roll an appliable patch?", which I guess everyone has
>> been too lazy to do)
[...]

> Resurrecting the old patch that was reverted is the easiest part.
> 
> It is much more important to spread the word to the people who will
> be hurt by the default change well before it actually happens, and
> to get them engaged in the discussion, along with those who would
> benefit from such a change. That needs to happen before any patch
> that reverts a revert.
> 
> Even in the kernel community, I suspect that most people do not
> follow this mailing list anymore and simply trust that we won't make
> changes that affect them negatively. People will complain only after
> a change hits them, and tell us "We didn't know that you will be
> making this stupid change." And having this thread here does not
> count as "spreading the word".
> 
> I can send a message saying "There is a proposal to change the
> default behaviour of 'git push' on the Git mailing list, and you may
> be negatively affected if you do not see anything in the output from
> 'git config push.default' when such a change happens. On the other
> hand, you may want to see the default behaviour to change. In either
> case, please join the discussion to give us more data point and help
> us decide the future of Git." to the kernel list. Anybody could, for
> that matter.

There are other places where we can send such message beside git
mailing list and LKML: There is Junio's "Git Blame" blog, there is Git
page on Google+; we can ask for such annoncement to be posted also
on GitHub Blog...

Spread the word...
-- 
Jakub Narebski